var pfad = "./";
var seitenzahl = 0;
var aktuelleSeite = 0;
var bilddateiname = [];
var jsnavHeight = 30;
var jscontentHeight = window.innerHeight - jsnavHeight;
var mausLinks = true;
var maxSeitenzahl = 20;
var titel = "";

function einlesen(playlist) {
	if (playlist == undefined || playlist == "void;") {return;}

	jscontentHeight = document.documentElement.clientHeight - jsnavHeight;
	seitenzahl = playlist.length - 1;
	var divBildID = "";
	var abstandID = "";
	var bildnrID = "";
	for (i = 1; i <= maxSeitenzahl; i++) {
		bilddateiname[i] = pfad + playlist[0] + "/" + playlist[i];
		divBildID = "bild" + i.toString();
		abstandID = "abstand" + i.toString();
		bildnrID = "bildnr" + i.toString();
		document.getElementById(bildnrID).style.display = "none";
//		alert(i);
		if (i <= seitenzahl) {
			document.getElementById(divBildID).display = "flex";
			document.getElementById(divBildID).style.height = (jscontentHeight - 2) + "px";
			document.getElementById(divBildID).style.width = "auto";
			document.getElementById(divBildID).src = bilddateiname[i];
			document.getElementById(divBildID).alt = "Blatt " + i + ": " + bilddateiname[i];
//			document.getElementById(divBildID).title = "Blatt " + i + ": " + bilddateiname[i];
			document.getElementById(divBildID).style.border = "1px solid red";
			document.getElementById(abstandID).style.display = "none";
		}
		else {
			document.getElementById(divBildID).src = "";
			document.getElementById(divBildID).alt = "";
			document.getElementById(divBildID).title = "";
			document.getElementById(divBildID).style.height = 0;
			document.getElementById(divBildID).style.width = 0;
			document.getElementById(divBildID).style.border = "none";
			document.getElementById(divBildID).display = "none";
			document.getElementById(abstandID).style.height = 0;
			document.getElementById(abstandID).style.display = "none";
		}

	}
	if (seitenzahl==1){
		//alert(seitenzahl + " Seite");
	}
	else {
		//alert(seitenzahl + " Seiten");
	}
	setTimeout(function() {kontrolle();}, 500);

	setTimeout(function(){ paginierung(); }, 500);

	window.scrollTo(0,0);
	aktuelleSeite = 1;
//	document.getElementById("seitenzaehler").innerHTML = aktuelleSeite + "/" + seitenzahl;
	if (seitenzahl == 1){
		document.getElementById("seitenzaehler").innerHTML = seitenzahl + "<span style='color:black; font-size:0.6em'> Seite</span>";
	}
	else {
		document.getElementById("seitenzaehler").innerHTML = seitenzahl + "<span style='color:black; font-size:0.6em'> Seiten</span>";
	}
	document.getElementById("seitenzaehler").focus();
}

function kontrolle() {
	var i;
	var bildH = "";
	var bildW = "";
	var divBildID = "";
	var abstandID = "";
	var hochformatMeldung = 0;
	for (i=1; i<=seitenzahl; i++){
		divBildID = "bild" + i.toString();
		abstandID = "abstand" + i.toString();
		document.getElementById(abstandID).src = "";
		document.getElementById(abstandID).style.height=0;
		
		bildW = window.getComputedStyle(document.getElementById(divBildID)).width.slice(0,-2);
		if (bildW + 16 > document.documentElement.clientWidth){
//			alert(bildW + " " + document.documentElement.clientWidth);
			document.getElementById(divBildID).style.width = (document.documentElement.clientWidth - 2) + "px";
		}
		
		//wenn Bildschirm im Hochformat und Bild im Querformat
		if (document.documentElement.clientWidth < jscontentHeight && document.getElementById(divBildID).naturalHeight < document.getElementById(divBildID).naturalWidth) {
//alert(divBildID + ": " + document.getElementById(divBildID).naturalWidth + " " + document.getElementById(divBildID).naturalHeight);
			document.getElementById(divBildID).style.width = (document.documentElement.clientWidth - 2) + "px";
			document.getElementById(divBildID).style.height = "auto";
			//Abstands-Div einfgen
			document.getElementById(abstandID).src = "abstand.jpg";
			document.getElementById(abstandID).style.width="100%";
			bildH = window.getComputedStyle(document.getElementById(divBildID)).height.slice(0,-2);
			document.getElementById(abstandID).style.height = (jscontentHeight - bildH - 2) + "px";
			document.getElementById(abstandID).style.display = "flex";
			if (hochformatMeldung==0){alert("incl. Hochformat"); hochformatMeldung = 1;}
		}
		else {
			//wenn Bildschirm im Hochformat und Bild im Hochformat
			bildW = window.getComputedStyle(document.getElementById(divBildID)).width.slice(0,-2);
			if (document.documentElement.clientWidth < jscontentHeight && document.getElementById(divBildID).style.width == "auto" && bildW + 16  > document.documentElement.clientWidth) {
//				dummy = document.getElementById(divBildID).style.width + " " + document.documentElement.clientWidth;
//				alert(dummy);
				document.getElementById(divBildID).style.width = (document.documentElement.clientWidth - 2) + "px";
			}
			document.getElementById(divBildID).style.height = (document.getElementById(divBildID).naturalHeight * document.getElementById(divBildID).style.width.slice(0,-2) / document.getElementById(divBildID).naturalWidth) + "px";
			bildH = document.getElementById(divBildID).style.height.slice(0,-2);
//			alert(bildH + " " + );
			document.getElementById(abstandID).src = "abstand.jpg";
			document.getElementById(abstandID).style.width="100%";
			document.getElementById(abstandID).style.height = (jscontentHeight - bildH - 2) + "px";
			if (document.getElementById(abstandID).style.height.slice(0,-2) > 0) {
				document.getElementById(abstandID).style.display = "flex";
			}
		}
		//nderung 2019-09-08
		bildH = document.getElementById(divBildID).style.height.slice(0,-2);
		if (bildH > jscontentHeight - 2){
			document.getElementById(divBildID).style.height = (jscontentHeight - 2) + "px";
//			alert(document.getElementById(divBildID).style.height);
			document.getElementById(divBildID).style.width = "auto";
		}
	}

}

function vor() {
//    alert(document.body.scrollHeight - window.pageYOffset);
	var scrollHeight = Math.max(
		document.body.scrollHeight, document.documentElement.scrollHeight,
		document.body.offsetHeight, document.documentElement.offsetHeight,
		document.body.clientHeight, document.documentElement.clientHeight
	);
//	alert(scrollHeight - window.pageYOffset - jscontentHeight);
	if ((scrollHeight - window.pageYOffset - jscontentHeight) > jscontentHeight) {
		window.scrollBy(0, jscontentHeight);
		aktuelleSeite++;
//		document.getElementById("seitenzaehler").innerHTML = aktuelleSeite + "/" + seitenzahl;
	}
}

function zurueck() {
	if (aktuelleSeite > 1) {
		window.scrollBy(0, -jscontentHeight);
		aktuelleSeite--;
//		document.getElementById("seitenzaehler").innerHTML = aktuelleSeite + "/" + seitenzahl;
	}
}

function pfadFestlegen(optionsValue) {
//	alert(optionsValue);
	if (optionsValue != "pfadFestlegen"){
		pfad = optionsValue
	}
	else {
	var eigenerPfad = window.prompt("Eigener Pfad:\n(Beginn: file:/// bzw. http://, Ordner trennen mit /, Ende mit /)", pfad);
		if (eigenerPfad != null){
			pfad = eigenerPfad;
		}
	}
	document.getElementById("pfadAuswahl").title = "Aktueller Pfad: " + pfad;
}

function navHeightFestlegen(interaktiv) {
	if (typeof interaktiv == 'number'){
		nH = interaktiv;
//		alert(nH);
	}
	else {
		if (interaktiv == false){
			var nH = jsnavHeight + 2;
		}
		else {
			var nH = window.prompt("H" + unescape('%F6') + "he der Navigation:", jsnavHeight);
		}
	}
	if (nH != "") {
		jsnavHeight = nH;
//		document.getElementById("indexButton").style.height = jsnavHeight + "px";
		document.getElementById("nav").style.height = jsnavHeight + "px";
		document.getElementById("platzhalter").style.height = jsnavHeight + "px";
//		document.getElementById("seitenzaehler").style.height = jsnavHeight + "px";
//		document.getElementById("hoehe").style.height = jsnavHeight + "px";
		jscontentHeight = window.innerHeight - jsnavHeight;
	 }
	 document.getElementById("hoehe").innerHTML = jsnavHeight;
	 einlesen(eval(titel));
}

function myFunction(event) {
  var x = event.key	;
  document.getElementById("seitenzaehler").focus();
//  document.getElementById("nav").innerHTML = "The pressed key was: " + x;
  if (x == "ArrowLeft") {event.preventDefault(); zurueck()}
  if (x == "PageUp") {event.preventDefault(); zurueck();}
  if (x == " ") {event.preventDefault(); zurueck();}
  if (x == "ArrowUp") {event.preventDefault(); zurueck()}

  if (x == "ArrowRight") {event.preventDefault(); vor()}
//  if (x == "PageDown") {event.stopPropagation(); vor(); event.preventDefault();}
  if (x == "PageDown") {event.preventDefault(); vor();}
  if (x == "Enter") {event.preventDefault(); vor();}
  if (x == "ArrowDown") {event.preventDefault(); vor()}

}

function paginierung() {
	for (i=1; i<=maxSeitenzahl; i++){
		var divBildID = "bild" + i;
		var bildnrID = "bildnr" + i;
		if (i <= seitenzahl){
//alert(i);
			document.getElementById(bildnrID).style.display = "inherit";
			document.getElementById(bildnrID).style.top = (document.getElementById(divBildID).offsetTop + 1 ) + "px";
			document.getElementById(bildnrID).style.left = (document.getElementById(divBildID).offsetLeft + document.getElementById(divBildID).offsetWidth - 27) + "px";
		}
		else {
			document.getElementById(bildnrID).style.display = "none";
		}
	}
	window.scrollTo(0,0);
	aktuelleSeite = 1;
}

function maussteuerung() {
	if (mausLinks == true) {mausLinks = false; document.getElementById("maussteuerung").innerHTML = "&#x2395"; document.getElementById("maussteuerung").title="Maus-Steuerung: Ganzer Bildschirm";}
	else {mausLinks = true; document.getElementById("maussteuerung").innerHTML = "&#x25eb;"; document.getElementById("maussteuerung").title="Maus-Steuerung: Bildschirm geteilt";}
}

function ansichtAktualisieren() {
	einlesen(eval(titel));
	setTimeout(function(){
	switch(jsnavHeight){
		case 32:
			document.getElementById("einzeilig").click();
			break;
		case 64:
			document.getElementById("zweizeilig").click();
			break;
		case 96:
			document.getElementById("dreizeilig").click();
			break;
		default:
			document.getElementById("hoehe").click();
	}},500);
}

function uhrzeit() {
	var jetzt = new Date(),
		h = jetzt.getHours(),
		m1 = jetzt.getMinutes(),
	m = fuehrendeNull(m1);
	if (document.getElementById("uhr")){
		document.getElementById('uhr').innerHTML = h + ':' + m;
	}
	setTimeout(uhrzeit, 1000);
}

function fuehrendeNull(zahl) {
	zahl = (zahl < 10 ? '0' : '') + zahl;
	return zahl;
}

document.getElementById("content").addEventListener("click",(event) => {
	var x = event.clientX;
	var wx = window.innerWidth;
	if (x > wx / 2){
		if (mausLinks == true) {vor();}
		else {zurueck();}
	}
	else {zurueck();}
});

document.getElementById("content").addEventListener("contextmenu",(event) => {event.preventDefault(); vor();});

//document.getElementsByTagName("BODY")[0].onresize = function() {setTimeout(function(){einlesen(eval(titel)),500});};
document.getElementsByTagName("BODY")[0].onresize = function() {ansichtAktualisieren();};
document.addEventListener('DOMContentLoaded', uhrzeit());

navHeightFestlegen(false);

function songEinsetzen(dateinameMitPfad) {
	if (dateinameMitPfad == "" || dateinameMitPfad == "void;"){
		if (document.getElementById("audioTag").style.display == "block"){
			document.getElementById("audioTag").pause();
			document.getElementById("audioTag").style.display = "none";
		}
	}
	else {
		document.getElementById("audioTag").style.display = "block";
		document.getElementById("audioSource").src = dateinameMitPfad;
		document.getElementById("audioTag").load();
		document.getElementById("audioTag").play();
	}
}
